Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/meep: new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Wed, 22 Jul 2015 22:08:38 -0700

---
 testing/meep/APKBUILD | 54 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/meep/APKBUILD
diff --git a/testing/meep/APKBUILD b/testing/meep/APKBUILD
new file mode 100644
index 0000000..b1aed10
--- /dev/null
+++ b/testing/meep/APKBUILD
_at_@ -0,0 +1,54 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer:
+pkgname=meep
+pkgver=1.3
+pkgrel=0
+pkgdesc="free finite-difference time-domain (FDTD) simulation software package developed at MIT to model electromagnetic systems"
+url="http://ab-initio.mit.edu/wiki/index.php/Meep"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev harminv-dev openblas-dev libctl-dev guile-dev
+	hdf5-dev gsl-dev gfortran gmp-dev fftw-dev"
+install=""
+# Omit -doc because it requires latex2html to build
+subpackages="$pkgname-dev"
+source="http://ab-initio.mit.edu/meep/meep-$pkgver.tar.gz"
+
+_builddir="$srcdir"/meep-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--enable-portable-binary \
+		--with-blas=openblas --with-lapack=openblas \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="18a5b9e18008627a0411087e0bb60db5  meep-1.3.tar.gz"
+sha256sums="564c1ff1b413a3487cf81048a45deabfdac4243a1a37ce743f4fcf0c055fd438  meep-1.3.tar.gz"
+sha512sums="4ad8d68f27d9971fe6dd4b8440f78d5b141fe747a80c50da55ecbc56a5beb0c2d31441fb46b54cac3c62d4cb34cb1ce6819c06bd2c54bc35f129ba683dc84aea  meep-1.3.tar.gz"
-- 
2.4.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jul 22 2015 - 22:08:38 GMT